Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231845 - New version 0.22 is available.
Summary: New version 0.22 is available.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libopensync
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 15:26 UTC by Philip Frampton
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-26 15:05:11 UTC


Attachments (Terms of Use)

Description Philip Frampton 2007-03-12 15:26:34 UTC
Description of problem:

There is a newer version of opensync (0.21) with some significant updates
including "The most important new feature will be the NOT-UNIQUE-UID fix."
(opensync changelog). It is also the earliest version that can be used in
conjuction with Synce and a Windows Mobile 5 PDA.

http://www.opensync.org/wiki/opensync-0.21-notes

Version-Release number of selected component (if applicable):
0.20 is current in Extras

How reproducible:
n/a

Steps to Reproduce:
n/a
  
Actual results:
n/a

Expected results:
n/a

Additional info:

It would be great if this could get a version bump. There is a not about the API
and DB change (relating to the above mentioned fix) - not sure how this is
handled regarding users.

Thanks

Comment 1 Andreas Bierfert 2007-03-12 15:29:55 UTC
Thanks for reporting. I am already working on this but had no time these past
days to get all the packages up do speed. Hopefully I will have the update out
till end of the week.

Comment 2 David Juran 2007-04-26 13:09:42 UTC
Almost, there's a typo in the spec-file...

Index: libopensync.spec
===================================================================
RCS file: /cvs/extras/devel/libopensync/libopensync.spec,v
retrieving revision 1.14
diff -u -r1.14 libopensync.spec
--- libopensync.spec    25 Apr 2007 16:42:35 -0000      1.14
+++ libopensync.spec    26 Apr 2007 13:02:16 -0000
@@ -75,10 +75,11 @@
 %{_libdir}/opensync/plugins/
 EOF
 %else
-cat > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/opensync-64.conf << EOF
+cat > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/opensync.conf << EOF
 %{_libdir}/opensync/
 %{_libdir}/opensync/formats/
 %{_libdir}/opensync/plugins/
+EOF
 %endif
 
 %clean


On a topic related to this update (that may be out of scope for this bugzilla)
do note that in the release notes for 0.21
(http://www.opensync.org/wiki/opensync-0.21-notes) it's written that there's
been a "DB change" so all users must remove the DB files from all their sync
groups. How shall this be handled? Can users be expected to read a release note?
The nice way I guess would be to patch the tool to detect the DB change and
scrap the old DB itself...


Comment 3 Andreas Bierfert 2007-04-26 15:05:11 UTC
Uhoh... c&p really is evil +). Thanks for reporting. Fixed and pushed.

As to the db format. I read about it. I will see if it is possible (= not to
hard) to make a patch to detect the old format. If so I will make an upgrade and
submit it upstream otherwise I will just file an RFE upstream. Thanks so for the
pointer.


Note You need to log in before you can comment on or make changes to this bug.